#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#


__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.component.links.interfaces import ILinkContainerTarget
from pyams_content.shared.view.interfaces import IWfView, IView, VIEW_CONTENT_TYPE, VIEW_CONTENT_NAME

# import packages
from pyams_content.shared.common import WfSharedContent, register_content_type, SharedContent
from zope.interface import implementer
from zope.schema.fieldproperty import FieldProperty


@implementer(IWfView)
class WfView(WfSharedContent):
    """Base view"""

    content_type = VIEW_CONTENT_TYPE
    content_name = VIEW_CONTENT_NAME

    selected_content_types = FieldProperty(IWfView['selected_content_types'])
    order_by = FieldProperty(IWfView['order_by'])
    reversed_order  =FieldProperty(IWfView['reversed_order'])

register_content_type(WfView)


@implementer(IView)
class View(SharedContent):
    """Workflow managed view class"""

    content_class = WfView
